Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706694 - net-analyzer/netperf-2.7.0-r2 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/netperf-2.7.0-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:34 UTC by Toralf Förster
Modified: 2020-01-28 15:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.57 KB, text/plain)
2020-01-27 17:34 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,77.85 KB, text/plain)
2020-01-27 17:34 UTC, Toralf Förster
Details
environment (environment,106.10 KB, text/plain)
2020-01-27 17:34 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.48 KB, application/x-bzip)
2020-01-27 17:34 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,10.69 KB, application/x-bzip)
2020-01-27 17:34 UTC, Toralf Förster
Details
net-analyzer:netperf-2.7.0-r2:20200127-082841.log (net-analyzer:netperf-2.7.0-r2:20200127-082841.log,16.83 KB, text/plain)
2020-01-27 17:34 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.69 KB, application/x-bzip)
2020-01-27 17:34 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:34:00 UTC
netcpu_procstat.c:169:3: warning: ignoring return value of ‘read’, declared with attribute warn_unused_result [-Wunused-result]
  169 |   read (proc_stat_fd, p, proc_stat_buflen);
      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o netperf netperf.o netlib.o netsh.o nettest_bsd.o nettest_dlpi.o nettest_unix.o nettest_xti.o nettest_sctp.o nettest_sdp.o nettest_omni.o net_uuid.o dscp.o netcpu_procstat.o  -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: nettest_omni.o:(.bss+0x4238): multiple definition of `loc_nodelay'; nettest_bsd.o:(.bss+0x28): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: nettest_omni.o:(.bss+0x4234): multiple definition of `rem_nodelay'; nettest_bsd.o:(.bss+0x24): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 07:26:40 +0000

emerge -qpvO net-analyzer/netperf
[ebuild  N    ] net-analyzer/netperf-2.7.0-r2  USE="-demo -sctp"
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:34:03 UTC
Created attachment 605392 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:34:06 UTC
Created attachment 605394 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:34:09 UTC
Created attachment 605396 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:34:12 UTC
Created attachment 605398 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:34:14 UTC
Created attachment 605400 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:34:17 UTC
Created attachment 605402 [details]
net-analyzer:netperf-2.7.0-r2:20200127-082841.log
Comment 7 Toralf Förster gentoo-dev 2020-01-27 17:34:20 UTC
Created attachment 605404 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-01-28 15:38:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=738f0a65389a1d424a80f6e622d84da62c68ab46

commit 738f0a65389a1d424a80f6e622d84da62c68ab46
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-28 14:19:46 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-28 15:38:24 +0000

    net-analyzer/netperf: Set CFLAGS=-fcommon
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706694
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/netperf/netperf-2.7.0-r2.ebuild | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)